// stack.cpp
#include <iostream>
#include "stack.h"
using namespace std;

// Konstruktor kann leer sein, da intern nur vector<int> verwendet wird
stack::stack(){}

// Das vector-Template stellt bereits alle Stack-Operationen zur Verfgung
void stack::push(int wert) {
     stk.push_back(wert);
     return;
}

int stack::pop() {
    if (stk.size() > 0) {
        int tmp (top());
        stk.pop_back();
        return (tmp);           
    }
    else {
        cerr << "Stack ist leer" << endl;
        return (-1);
    }
}

int stack::top() {
    if (stk.size() > 0) {
        return (stk[stk.size()-1]);          
    }
    else {
        cerr << "Stack ist leer" << endl;
        return (-1);
    }
}    
